SDL_GetJoystickInstancePlayerIndex(3)

NAME
SDL_GetJoystickInstancePlayerIndex - Get the player index of a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetJoystickInstancePlayerIndex(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any joysticks are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID

RETURN VALUE
Returns the player index of a joystick, or -1 if it's not available

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickPlayerIndex(3), SDL_GetJoysticks(3)